package com.chinaitop.depot.grainSituationCard.model;

import java.math.BigDecimal;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;

public class StorageCerealsCard {
    private String id;

    private String storehouseCode;

    private String storehouseName;

    private String warehouseCode;

    private String warehouseName;

    private String storehouseType;

    private String storehouseTypeName;

    private Date buildDate;

    private String wallCode;

    private String wallName;

    private BigDecimal outsideHeigth;

    private BigDecimal inLength;

    private BigDecimal inWidth;

    private BigDecimal grainLineHeigth;

    private BigDecimal binVolume;

    private String storemanCode;

    private String storemanName;

    private String lypzCode;

    private String lypzName;

    private String lydjCode;

    private String lydjName;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date rksj;

    private Date scrq;

    private String lycdCode;

    private String lycdName;

    private String lysl;

    private String js;

    private String bzgg;

    private String pinp;

    private String ccfsCode;

    private String ccfsName;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date jkrq;

    private String orgId;

    private String imageUrl;

    private String spareOne;

    private String spareTwo;

    private String spareThree;

    private String spareFour;

    private String spareFive;

    private String sfgd;

    private Date gdsj;

    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date zhycsj;

    /**
     * 成品粮粮情卡主键
     * @return id 成品粮粮情卡主键
     */
    public String getId() {
        return id;
    }

    /**
     * 成品粮粮情卡主键
     * @param id 成品粮粮情卡主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 仓房编号
     * @return storehouse_code 仓房编号
     */
    public String getStorehouseCode() {
        return storehouseCode;
    }

    /**
     * 仓房编号
     * @param storehouseCode 仓房编号
     */
    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode == null ? null : storehouseCode.trim();
    }

    /**
     * 仓房名称
     * @return storehouse_name 仓房名称
     */
    public String getStorehouseName() {
        return storehouseName;
    }

    /**
     * 仓房名称
     * @param storehouseName 仓房名称
     */
    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName == null ? null : storehouseName.trim();
    }

    /**
     * 货位编号
     * @return warehouse_code 货位编号
     */
    public String getWarehouseCode() {
        return warehouseCode;
    }

    /**
     * 货位编号
     * @param warehouseCode 货位编号
     */
    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode == null ? null : warehouseCode.trim();
    }

    /**
     * 货位名称
     * @return warehouse_name 货位名称
     */
    public String getWarehouseName() {
        return warehouseName;
    }

    /**
     * 货位名称
     * @param warehouseName 货位名称
     */
    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName == null ? null : warehouseName.trim();
    }

    /**
     * 仓房类型编号
     * @return storehouse_type 仓房类型编号
     */
    public String getStorehouseType() {
        return storehouseType;
    }

    /**
     * 仓房类型编号
     * @param storehouseType 仓房类型编号
     */
    public void setStorehouseType(String storehouseType) {
        this.storehouseType = storehouseType == null ? null : storehouseType.trim();
    }

    /**
     * 仓房类型名
     * @return storehouse_type_name 仓房类型名
     */
    public String getStorehouseTypeName() {
        return storehouseTypeName;
    }

    /**
     * 仓房类型名
     * @param storehouseTypeName 仓房类型名
     */
    public void setStorehouseTypeName(String storehouseTypeName) {
        this.storehouseTypeName = storehouseTypeName == null ? null : storehouseTypeName.trim();
    }

    /**
     * 建设年份
     * @return build_date 建设年份
     */
    public Date getBuildDate() {
        return buildDate;
    }

    /**
     * 建设年份
     * @param buildDate 建设年份
     */
    public void setBuildDate(Date buildDate) {
        this.buildDate = buildDate;
    }

    /**
     * 仓房结构编码
     * @return wall_code 仓房结构编码
     */
    public String getWallCode() {
        return wallCode;
    }

    /**
     * 仓房结构编码
     * @param wallCode 仓房结构编码
     */
    public void setWallCode(String wallCode) {
        this.wallCode = wallCode == null ? null : wallCode.trim();
    }

    /**
     * 仓房结构名称
     * @return wall_name 仓房结构名称
     */
    public String getWallName() {
        return wallName;
    }

    /**
     * 仓房结构名称
     * @param wallName 仓房结构名称
     */
    public void setWallName(String wallName) {
        this.wallName = wallName == null ? null : wallName.trim();
    }

    /**
     * 外檐高度(m) 
     * @return outside_heigth 外檐高度(m) 
     */
    public BigDecimal getOutsideHeigth() {
        return outsideHeigth;
    }

    /**
     * 外檐高度(m) 
     * @param outsideHeigth 外檐高度(m) 
     */
    public void setOutsideHeigth(BigDecimal outsideHeigth) {
        this.outsideHeigth = outsideHeigth;
    }

    /**
     * 仓内长(直径)
     * @return in_length 仓内长(直径)
     */
    public BigDecimal getInLength() {
        return inLength;
    }

    /**
     * 仓内长(直径)
     * @param inLength 仓内长(直径)
     */
    public void setInLength(BigDecimal inLength) {
        this.inLength = inLength;
    }

    /**
     * 仓内宽(m)
     * @return in_width 仓内宽(m)
     */
    public BigDecimal getInWidth() {
        return inWidth;
    }

    /**
     * 仓内宽(m)
     * @param inWidth 仓内宽(m)
     */
    public void setInWidth(BigDecimal inWidth) {
        this.inWidth = inWidth;
    }

    /**
     * 设计装粮线高度高度(m)
     * @return grain_line_heigth 设计装粮线高度高度(m)
     */
    public BigDecimal getGrainLineHeigth() {
        return grainLineHeigth;
    }

    /**
     * 设计装粮线高度高度(m)
     * @param grainLineHeigth 设计装粮线高度高度(m)
     */
    public void setGrainLineHeigth(BigDecimal grainLineHeigth) {
        this.grainLineHeigth = grainLineHeigth;
    }

    /**
     * 使用面积(m2)
     * @return bin_volume 使用面积(m2)
     */
    public BigDecimal getBinVolume() {
        return binVolume;
    }

    /**
     * 使用面积(m2)
     * @param binVolume 使用面积(m2)
     */
    public void setBinVolume(BigDecimal binVolume) {
        this.binVolume = binVolume;
    }

    /**
     * 保管员编号
     * @return storeman_code 保管员编号
     */
    public String getStoremanCode() {
        return storemanCode;
    }

    /**
     * 保管员编号
     * @param storemanCode 保管员编号
     */
    public void setStoremanCode(String storemanCode) {
        this.storemanCode = storemanCode == null ? null : storemanCode.trim();
    }

    /**
     * 保管员姓名
     * @return storeman_name 保管员姓名
     */
    public String getStoremanName() {
        return storemanName;
    }

    /**
     * 保管员姓名
     * @param storemanName 保管员姓名
     */
    public void setStoremanName(String storemanName) {
        this.storemanName = storemanName == null ? null : storemanName.trim();
    }

    /**
     * 粮油品种编码
     * @return lypz_code 粮油品种编码
     */
    public String getLypzCode() {
        return lypzCode;
    }

    /**
     * 粮油品种编码
     * @param lypzCode 粮油品种编码
     */
    public void setLypzCode(String lypzCode) {
        this.lypzCode = lypzCode == null ? null : lypzCode.trim();
    }

    /**
     * 粮油品种名称
     * @return lypz_name 粮油品种名称
     */
    public String getLypzName() {
        return lypzName;
    }

    /**
     * 粮油品种名称
     * @param lypzName 粮油品种名称
     */
    public void setLypzName(String lypzName) {
        this.lypzName = lypzName == null ? null : lypzName.trim();
    }

    /**
     * 粮油等级编码
     * @return lydj_code 粮油等级编码
     */
    public String getLydjCode() {
        return lydjCode;
    }

    /**
     * 粮油等级编码
     * @param lydjCode 粮油等级编码
     */
    public void setLydjCode(String lydjCode) {
        this.lydjCode = lydjCode == null ? null : lydjCode.trim();
    }

    /**
     * 粮油等级名称
     * @return lydj_name 粮油等级名称
     */
    public String getLydjName() {
        return lydjName;
    }

    /**
     * 粮油等级名称
     * @param lydjName 粮油等级名称
     */
    public void setLydjName(String lydjName) {
        this.lydjName = lydjName == null ? null : lydjName.trim();
    }

    /**
     * 入仓时间(第一车)
     * @return rksj 入仓时间(第一车)
     */
    public Date getRksj() {
        return rksj;
    }

    /**
     * 入仓时间(第一车)
     * @param rksj 入仓时间(第一车)
     */
    public void setRksj(Date rksj) {
        this.rksj = rksj;
    }

    /**
     * 生产日期
     * @return scrq 生产日期
     */
    public Date getScrq() {
        return scrq;
    }

    /**
     * 生产日期
     * @param scrq 生产日期
     */
    public void setScrq(Date scrq) {
        this.scrq = scrq;
    }

    /**
     * 粮油产地编号
     * @return lycd_code 粮油产地编号
     */
    public String getLycdCode() {
        return lycdCode;
    }

    /**
     * 粮油产地编号
     * @param lycdCode 粮油产地编号
     */
    public void setLycdCode(String lycdCode) {
        this.lycdCode = lycdCode == null ? null : lycdCode.trim();
    }

    /**
     * 粮油产地名称
     * @return lycd_name 粮油产地名称
     */
    public String getLycdName() {
        return lycdName;
    }

    /**
     * 粮油产地名称
     * @param lycdName 粮油产地名称
     */
    public void setLycdName(String lycdName) {
        this.lycdName = lycdName == null ? null : lycdName.trim();
    }

    /**
     * 数量(吨)
     * @return lysl 数量(吨)
     */
    public String getLysl() {
        return lysl;
    }

    /**
     * 数量(吨)
     * @param lysl 数量(吨)
     */
    public void setLysl(String lysl) {
        this.lysl = lysl == null ? null : lysl.trim();
    }

    /**
     * 件数
     * @return js 件数
     */
    public String getJs() {
        return js;
    }

    /**
     * 件数
     * @param js 件数
     */
    public void setJs(String js) {
        this.js = js == null ? null : js.trim();
    }

    /**
     * 包装规格
     * @return bzgg 包装规格
     */
    public String getBzgg() {
        return bzgg;
    }

    /**
     * 包装规格
     * @param bzgg 包装规格
     */
    public void setBzgg(String bzgg) {
        this.bzgg = bzgg == null ? null : bzgg.trim();
    }

    /**
     * 品牌
     * @return pinp 品牌
     */
    public String getPinp() {
        return pinp;
    }

    /**
     * 品牌
     * @param pinp 品牌
     */
    public void setPinp(String pinp) {
        this.pinp = pinp == null ? null : pinp.trim();
    }

    /**
     * 储存方式编码
     * @return ccfs_code 储存方式编码
     */
    public String getCcfsCode() {
        return ccfsCode;
    }

    /**
     * 储存方式编码
     * @param ccfsCode 储存方式编码
     */
    public void setCcfsCode(String ccfsCode) {
        this.ccfsCode = ccfsCode == null ? null : ccfsCode.trim();
    }

    /**
     * 储存方式名称
     * @return ccfs_name 储存方式名称
     */
    public String getCcfsName() {
        return ccfsName;
    }

    /**
     * 储存方式名称
     * @param ccfsName 储存方式名称
     */
    public void setCcfsName(String ccfsName) {
        this.ccfsName = ccfsName == null ? null : ccfsName.trim();
    }

    /**
     * 建卡日期
     * @return jkrq 建卡日期
     */
    public Date getJkrq() {
        return jkrq;
    }

    /**
     * 建卡日期
     * @param jkrq 建卡日期
     */
    public void setJkrq(Date jkrq) {
        this.jkrq = jkrq;
    }

    /**
     * 组织机构编码
     * @return org_id 组织机构编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构编码
     * @param orgId 组织机构编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

    /**
     * 图片路径(照片)
     * @return image_url 图片路径(照片)
     */
    public String getImageUrl() {
        return imageUrl;
    }

    /**
     * 图片路径(照片)
     * @param imageUrl 图片路径(照片)
     */
    public void setImageUrl(String imageUrl) {
        this.imageUrl = imageUrl == null ? null : imageUrl.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_one 备用字段(以用修改注释)
     */
    public String getSpareOne() {
        return spareOne;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareOne 备用字段(以用修改注释)
     */
    public void setSpareOne(String spareOne) {
        this.spareOne = spareOne == null ? null : spareOne.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_two 备用字段(以用修改注释)
     */
    public String getSpareTwo() {
        return spareTwo;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareTwo 备用字段(以用修改注释)
     */
    public void setSpareTwo(String spareTwo) {
        this.spareTwo = spareTwo == null ? null : spareTwo.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_three 备用字段(以用修改注释)
     */
    public String getSpareThree() {
        return spareThree;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareThree 备用字段(以用修改注释)
     */
    public void setSpareThree(String spareThree) {
        this.spareThree = spareThree == null ? null : spareThree.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_four 备用字段(以用修改注释)
     */
    public String getSpareFour() {
        return spareFour;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareFour 备用字段(以用修改注释)
     */
    public void setSpareFour(String spareFour) {
        this.spareFour = spareFour == null ? null : spareFour.trim();
    }

    /**
     * 备用字段(以用修改注释)
     * @return spare_five 备用字段(以用修改注释)
     */
    public String getSpareFive() {
        return spareFive;
    }

    /**
     * 备用字段(以用修改注释)
     * @param spareFive 备用字段(以用修改注释)
     */
    public void setSpareFive(String spareFive) {
        this.spareFive = spareFive == null ? null : spareFive.trim();
    }

    /**
     * 是否归档
     * @return
     */
	public String getSfgd() {
		return sfgd;
	}

	/**
	 * 是否归档
	 * @param sfgd
	 */
	public void setSfgd(String sfgd) {
		this.sfgd = sfgd;
	}

	/**
     * 归档时间
     * @return
     */
	public Date getGdsj() {
		return gdsj;
	}

	/**
     * 归档时间
     * @param
     */
	public void setGdsj(Date gdsj) {
		this.gdsj = gdsj;
	}

	/**
	 * 最后一车时间(入库时间)
	 * @return
	 */
	public Date getZhycsj() {
		return zhycsj;
	}

	/**
	 * 最后一车时间(入库时间)
	 * @param zhycsj
	 */
	public void setZhycsj(Date zhycsj) {
		this.zhycsj = zhycsj;
	}
}