package com.chinaitop.depot.grainSituationCard.model;


import java.util.Date;

public class StorageQualitycheckCard {

    private Integer id;

    private Integer houseId;

    private Integer warehouseId;

    private Integer orgId;

    //检验类型
    //private String type;
    private String typeUpdate;

    public String getTypeUpdate() {
        return typeUpdate;
    }

    public void setTypeUpdate(String typeUpdate) {
        this.typeUpdate = typeUpdate;
    }

    //检验日期
    private Date checkTime;

    //等级
    private Integer level;

    //水分
    private String water;

    //检验人
    private String checker;

    //备注
    private String remarks;

    //粮食品种
    private Integer subType;

    //检验结果
    private String checkResult;

    private String quailtyCardId;

    //矿物质
    private String mineral;

    // 保存:1,提交:2
    private Integer flagType;

    /**
     * OneToOne
     */
    private StorageQualitycheckInspection qualitycheckInspection;

    private String colorsmell;

    private String yellowPart;

    private String intermixingRate;

    private String outHuskedRation;

    private String mildewCount;

    private String fullGoodRation;

    private String huskedRation;

    private String badpart;

    private String goodpart;

    private String hotDamageRatio;

    //无用字段
    private Integer subTypeDetailed;

    private String capacity;

    private String impurity;

    private String keeperAdvices;

    private String keeperAdvicesTime;

    private String keeperAdvicesPaint;

    private String chiefAdvices;

    private Date chiefAdvicesTime;

    private String chietAdvicesPaint;

    private String viceManagerAdvices;

    private Date viceManagerAdvicesTime;

    private String viceManagerAdvicesPaint;

    private String managerAdvices;

    private Date managerAdvicesTime;

    private String managerAdvicesPaint;

    private String improveResult;

    private Date improveTime;

    private String improvePaint;

    private String isFirstchecklevelRight;

    private String acceptUnite;

    private Date inputTime;

    private String number;

    private Integer location;

    private String keeper;

    private Integer harvestTime;

    private String chooser;

    private Date chooseTime;

    private String boldfatIndex;

    private String checkType;

    private String hotDamage;

    private String proteinSolutionRatio;

    private String eatScore;

    private String fatIndex;

    private String pests;

    private String colorRatio;

    private String hardIndex;

    private String glutenWaterCount;

    private String approver;

    private String damageRatio;


    private String huskedRiceWeight;

    private String reviewer;

    private Date applyCheckTime;

    private String checkTimeType;

    private Date checkResultTime;

    private String storeQuality;

    private String isPest;

    private String inspectionStandardBasis;

    private String quality;

    private Date sealDate;

    private String sealStatus;

    private String authCode;

    private Integer historyStatus;

    private String smelltaste;

    private String transparency;

    private String peroxideValue;

    private String smokePoint;

    private String reezeTest;

    private String residualSolvent;

    private String lead;

    private String totalArsenic;

    private String aflatoxin;

    private String butylPhenol;

    private String storehouseName;

    private String wareHouseName;

    private String storehouseCode;

    private String warehouseCode;

    private Integer acceptanceId;

    private Integer foodbasicinfoId;

    private String chooserOrgan;

    private Integer processState;

    /**
     * 质量检查信息表
     * @return id 质量检查信息表
     */
    public Integer getId() {
        return id;
    }

    /**
     * 质量检查信息表
     * @param id 质量检查信息表
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     * @return type 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     */
//    public String getType() {
//        return type;
//    }

    /**
     * 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     * @param type 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     */
//    public void setType(String type) {
//        this.type = type == null ? null : type.trim();
//    }

    /**
     * 品种
     * @return sub_type 品种
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 品种
     * @param subType 品种
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 检验日期
     * @return check_time 检验日期
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验日期
     * @param checkTime 检验日期
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 检验结果0:合格  1：不合格
     * @return check_result 检验结果0:合格  1：不合格
     */
    public String getCheckResult() {
        return checkResult;
    }

    /**
     * 检验结果0:合格  1：不合格
     * @param checkResult 检验结果0:合格  1：不合格
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    /**
     * 检验人
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }

    /**
     * 等级
     * @return level 等级
     */
    public Integer getLevel() {
        return level;
    }

    /**
     * 等级
     * @param level 等级
     */
    public void setLevel(Integer level) {
        this.level = level;
    }


    /**
     * 水分
     * @return water 水分
     */
    public String getWater() {
        return water;
    }

    /**
     * 水分
     * @param water 水分
     */
    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    /**
     * 备注
     * @return remarks 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 备注
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }


    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getQuailtyCardId() {
        return quailtyCardId;
    }

    public void setQuailtyCardId(String quailtyCardId) {
        this.quailtyCardId = quailtyCardId;
    }

    public String getMineral() {
        return mineral;
    }

    public void setMineral(String mineral) {
        this.mineral = mineral;
    }

    public StorageQualitycheckInspection getQualitycheckInspection() {
        return qualitycheckInspection;
    }

    public void setQualitycheckInspection(StorageQualitycheckInspection qualitycheckInspection) {
        this.qualitycheckInspection = qualitycheckInspection;
    }

    public Integer getFlagType() {
        return flagType;
    }

    public void setFlagType(Integer flagType) {
        this.flagType = flagType;
    }


    public Integer getSubTypeDetailed() {
        return subTypeDetailed;
    }

    public void setSubTypeDetailed(Integer subTypeDetailed) {
        this.subTypeDetailed = subTypeDetailed;
    }

    public String getCapacity() {
        return capacity;
    }

    public void setCapacity(String capacity) {
        this.capacity = capacity;
    }

    public String getImpurity() {
        return impurity;
    }

    public void setImpurity(String impurity) {
        this.impurity = impurity;
    }

    public String getBadpart() {
        return badpart;
    }

    public void setBadpart(String badpart) {
        this.badpart = badpart;
    }

    public String getColorsmell() {
        return colorsmell;
    }

    public void setColorsmell(String colorsmell) {
        this.colorsmell = colorsmell;
    }

    public String getKeeperAdvices() {
        return keeperAdvices;
    }

    public void setKeeperAdvices(String keeperAdvices) {
        this.keeperAdvices = keeperAdvices;
    }

    public String getKeeperAdvicesTime() {
        return keeperAdvicesTime;
    }

    public void setKeeperAdvicesTime(String keeperAdvicesTime) {
        this.keeperAdvicesTime = keeperAdvicesTime;
    }

    public String getKeeperAdvicesPaint() {
        return keeperAdvicesPaint;
    }

    public void setKeeperAdvicesPaint(String keeperAdvicesPaint) {
        this.keeperAdvicesPaint = keeperAdvicesPaint;
    }

    public String getChiefAdvices() {
        return chiefAdvices;
    }

    public void setChiefAdvices(String chiefAdvices) {
        this.chiefAdvices = chiefAdvices;
    }

    public Date getChiefAdvicesTime() {
        return chiefAdvicesTime;
    }

    public void setChiefAdvicesTime(Date chiefAdvicesTime) {
        this.chiefAdvicesTime = chiefAdvicesTime;
    }

    public String getChietAdvicesPaint() {
        return chietAdvicesPaint;
    }

    public void setChietAdvicesPaint(String chietAdvicesPaint) {
        this.chietAdvicesPaint = chietAdvicesPaint;
    }

    public String getViceManagerAdvices() {
        return viceManagerAdvices;
    }

    public void setViceManagerAdvices(String viceManagerAdvices) {
        this.viceManagerAdvices = viceManagerAdvices;
    }

    public Date getViceManagerAdvicesTime() {
        return viceManagerAdvicesTime;
    }

    public void setViceManagerAdvicesTime(Date viceManagerAdvicesTime) {
        this.viceManagerAdvicesTime = viceManagerAdvicesTime;
    }

    public String getViceManagerAdvicesPaint() {
        return viceManagerAdvicesPaint;
    }

    public void setViceManagerAdvicesPaint(String viceManagerAdvicesPaint) {
        this.viceManagerAdvicesPaint = viceManagerAdvicesPaint;
    }

    public String getManagerAdvices() {
        return managerAdvices;
    }

    public void setManagerAdvices(String managerAdvices) {
        this.managerAdvices = managerAdvices;
    }

    public Date getManagerAdvicesTime() {
        return managerAdvicesTime;
    }

    public void setManagerAdvicesTime(Date managerAdvicesTime) {
        this.managerAdvicesTime = managerAdvicesTime;
    }

    public String getManagerAdvicesPaint() {
        return managerAdvicesPaint;
    }

    public void setManagerAdvicesPaint(String managerAdvicesPaint) {
        this.managerAdvicesPaint = managerAdvicesPaint;
    }

    public String getImproveResult() {
        return improveResult;
    }

    public void setImproveResult(String improveResult) {
        this.improveResult = improveResult;
    }

    public Date getImproveTime() {
        return improveTime;
    }

    public void setImproveTime(Date improveTime) {
        this.improveTime = improveTime;
    }

    public String getImprovePaint() {
        return improvePaint;
    }

    public void setImprovePaint(String improvePaint) {
        this.improvePaint = improvePaint;
    }

    public String getIsFirstchecklevelRight() {
        return isFirstchecklevelRight;
    }

    public void setIsFirstchecklevelRight(String isFirstchecklevelRight) {
        this.isFirstchecklevelRight = isFirstchecklevelRight;
    }

    public String getAcceptUnite() {
        return acceptUnite;
    }

    public void setAcceptUnite(String acceptUnite) {
        this.acceptUnite = acceptUnite;
    }

    public Date getInputTime() {
        return inputTime;
    }

    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public Integer getLocation() {
        return location;
    }

    public void setLocation(Integer location) {
        this.location = location;
    }

    public String getKeeper() {
        return keeper;
    }

    public void setKeeper(String keeper) {
        this.keeper = keeper;
    }

    public Integer getHarvestTime() {
        return harvestTime;
    }

    public void setHarvestTime(Integer harvestTime) {
        this.harvestTime = harvestTime;
    }

    public String getGoodpart() {
        return goodpart;
    }

    public void setGoodpart(String goodpart) {
        this.goodpart = goodpart;
    }

    public String getChooser() {
        return chooser;
    }

    public void setChooser(String chooser) {
        this.chooser = chooser;
    }

    public Date getChooseTime() {
        return chooseTime;
    }

    public void setChooseTime(Date chooseTime) {
        this.chooseTime = chooseTime;
    }

    public String getBoldfatIndex() {
        return boldfatIndex;
    }

    public void setBoldfatIndex(String boldfatIndex) {
        this.boldfatIndex = boldfatIndex;
    }

    public String getCheckType() {
        return checkType;
    }

    public void setCheckType(String checkType) {
        this.checkType = checkType;
    }

    public String getHotDamage() {
        return hotDamage;
    }

    public void setHotDamage(String hotDamage) {
        this.hotDamage = hotDamage;
    }

    public String getProteinSolutionRatio() {
        return proteinSolutionRatio;
    }

    public void setProteinSolutionRatio(String proteinSolutionRatio) {
        this.proteinSolutionRatio = proteinSolutionRatio;
    }

    public String getEatScore() {
        return eatScore;
    }

    public void setEatScore(String eatScore) {
        this.eatScore = eatScore;
    }

    public String getFatIndex() {
        return fatIndex;
    }

    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex;
    }

    public String getHuskedRation() {
        return huskedRation;
    }

    public void setHuskedRation(String huskedRation) {
        this.huskedRation = huskedRation;
    }

    public String getFullGoodRation() {
        return fullGoodRation;
    }

    public void setFullGoodRation(String fullGoodRation) {
        this.fullGoodRation = fullGoodRation;
    }

    public String getYellowPart() {
        return yellowPart;
    }

    public void setYellowPart(String yellowPart) {
        this.yellowPart = yellowPart;
    }

    public String getOutHuskedRation() {
        return outHuskedRation;
    }

    public void setOutHuskedRation(String outHuskedRation) {
        this.outHuskedRation = outHuskedRation;
    }

    public String getPests() {
        return pests;
    }

    public void setPests(String pests) {
        this.pests = pests;
    }

    public String getColorRatio() {
        return colorRatio;
    }

    public void setColorRatio(String colorRatio) {
        this.colorRatio = colorRatio;
    }

    public String getHardIndex() {
        return hardIndex;
    }

    public void setHardIndex(String hardIndex) {
        this.hardIndex = hardIndex;
    }

    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount;
    }

    public String getApprover() {
        return approver;
    }

    public void setApprover(String approver) {
        this.approver = approver;
    }

    public String getMildewCount() {
        return mildewCount;
    }

    public void setMildewCount(String mildewCount) {
        this.mildewCount = mildewCount;
    }

    public String getDamageRatio() {
        return damageRatio;
    }

    public void setDamageRatio(String damageRatio) {
        this.damageRatio = damageRatio;
    }

    public String getHotDamageRatio() {
        return hotDamageRatio;
    }

    public void setHotDamageRatio(String hotDamageRatio) {
        this.hotDamageRatio = hotDamageRatio;
    }

    public String getHuskedRiceWeight() {
        return huskedRiceWeight;
    }

    public void setHuskedRiceWeight(String huskedRiceWeight) {
        this.huskedRiceWeight = huskedRiceWeight;
    }

    public String getReviewer() {
        return reviewer;
    }

    public void setReviewer(String reviewer) {
        this.reviewer = reviewer;
    }

    public Date getApplyCheckTime() {
        return applyCheckTime;
    }

    public void setApplyCheckTime(Date applyCheckTime) {
        this.applyCheckTime = applyCheckTime;
    }

    public String getCheckTimeType() {
        return checkTimeType;
    }

    public void setCheckTimeType(String checkTimeType) {
        this.checkTimeType = checkTimeType;
    }

    public Date getCheckResultTime() {
        return checkResultTime;
    }

    public void setCheckResultTime(Date checkResultTime) {
        this.checkResultTime = checkResultTime;
    }

    public String getStoreQuality() {
        return storeQuality;
    }

    public void setStoreQuality(String storeQuality) {
        this.storeQuality = storeQuality;
    }

    public String getIsPest() {
        return isPest;
    }

    public void setIsPest(String isPest) {
        this.isPest = isPest;
    }

    public String getInspectionStandardBasis() {
        return inspectionStandardBasis;
    }

    public void setInspectionStandardBasis(String inspectionStandardBasis) {
        this.inspectionStandardBasis = inspectionStandardBasis;
    }

    public String getQuality() {
        return quality;
    }

    public void setQuality(String quality) {
        this.quality = quality;
    }

    public Date getSealDate() {
        return sealDate;
    }

    public void setSealDate(Date sealDate) {
        this.sealDate = sealDate;
    }

    public String getSealStatus() {
        return sealStatus;
    }

    public void setSealStatus(String sealStatus) {
        this.sealStatus = sealStatus;
    }

    public String getAuthCode() {
        return authCode;
    }

    public void setAuthCode(String authCode) {
        this.authCode = authCode;
    }

    public Integer getHistoryStatus() {
        return historyStatus;
    }

    public void setHistoryStatus(Integer historyStatus) {
        this.historyStatus = historyStatus;
    }

    public String getIntermixingRate() {
        return intermixingRate;
    }

    public void setIntermixingRate(String intermixingRate) {
        this.intermixingRate = intermixingRate;
    }

    public String getSmelltaste() {
        return smelltaste;
    }

    public void setSmelltaste(String smelltaste) {
        this.smelltaste = smelltaste;
    }

    public String getTransparency() {
        return transparency;
    }

    public void setTransparency(String transparency) {
        this.transparency = transparency;
    }

    public String getPeroxideValue() {
        return peroxideValue;
    }

    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue;
    }

    public String getSmokePoint() {
        return smokePoint;
    }

    public void setSmokePoint(String smokePoint) {
        this.smokePoint = smokePoint;
    }

    public String getReezeTest() {
        return reezeTest;
    }

    public void setReezeTest(String reezeTest) {
        this.reezeTest = reezeTest;
    }

    public String getResidualSolvent() {
        return residualSolvent;
    }

    public void setResidualSolvent(String residualSolvent) {
        this.residualSolvent = residualSolvent;
    }

    public String getLead() {
        return lead;
    }

    public void setLead(String lead) {
        this.lead = lead;
    }

    public String getTotalArsenic() {
        return totalArsenic;
    }

    public void setTotalArsenic(String totalArsenic) {
        this.totalArsenic = totalArsenic;
    }

    public String getAflatoxin() {
        return aflatoxin;
    }

    public void setAflatoxin(String aflatoxin) {
        this.aflatoxin = aflatoxin;
    }

    public String getButylPhenol() {
        return butylPhenol;
    }

    public void setButylPhenol(String butylPhenol) {
        this.butylPhenol = butylPhenol;
    }

    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getStorehouseCode() {
        return storehouseCode;
    }

    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }

    public Integer getAcceptanceId() {
        return acceptanceId;
    }

    public void setAcceptanceId(Integer acceptanceId) {
        this.acceptanceId = acceptanceId;
    }

    public Integer getFoodbasicinfoId() {
        return foodbasicinfoId;
    }

    public void setFoodbasicinfoId(Integer foodbasicinfoId) {
        this.foodbasicinfoId = foodbasicinfoId;
    }

    public String getChooserOrgan() {
        return chooserOrgan;
    }

    public void setChooserOrgan(String chooserOrgan) {
        this.chooserOrgan = chooserOrgan;
    }

	public Integer getProcessState() {
		return processState;
	}

	public void setProcessState(Integer processState) {
		this.processState = processState;
	}

}