package com.chinaitop.depot.common;

public enum EnumUtils {

    ENUM_XIAOMAI("111","3164"),//小麦
    ENUM_YUMI("112","3165"),//玉米
    ENUM_DAOGU("113","3166"),//稻谷
    ENUM_YUANYOU("141","7144");//原油

    private String code;

    private String name;

    private EnumUtils(String code, String name) {
        this.code = code;
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static EnumUtils getEnum(String code){
        for(EnumUtils animal:EnumUtils.values()){
            if(animal.code.equals(code)){
                return animal;
            }
        }
        return null;
    }

}
