package com.chinaitop.depot.grainSituationCard.mapper;

import com.chinaitop.depot.grainSituationCard.model.StorageOverDueAlarmView;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 库存超限告警mapper
 * @author aihua
 */
public interface StorageOverDueAlarmMapper {
    /**
     * 根据组织机构ID查询储存超限告警
     * @param orgId 组织机构ID
     * @return {@link StorageOverDueAlarmView} vo list
     */
    List<StorageOverDueAlarmView> selectAlarmList(@Param("orgId") String orgId);


//    /**
//     * 查询设计设计仓容
//     * @param storehouseId 仓房ID
//     * @return 设计仓容
//     */
//    BigDecimal getStoreDesignCapacityById(Integer storehouseId);

//    /**
//     * 查询字典数据
//     * @param enumId 枚举值ID
//     * @return 枚举名称
//     */
//    String findByEnum(Integer enumId);
}
