package com.chinaitop.depot.grainSituationCard.model;

import java.math.BigDecimal;
import java.util.Date;

public class StorageGrainView {

    private Integer houseId;

    private Integer warehouseId;

    private String warehouseName;

    private Integer orgId;

    //仓房类型 storehouse_type
    private Integer storehouseType;

    //建设年份  use_date
    private Date useDate;

    //仓房结构 house
    private String house;

    //外檐高度 store_outside_heigth
    private BigDecimal storeOutsideHeigth;

    //仓内长 length
    private BigDecimal length;

    //仓内宽 width
    private BigDecimal width;

    //仓内装粮线高 grain_line_heigth
    private BigDecimal grainLineHeigth;

    //使用面积 bin_volume
    private BigDecimal binVolume;

    //质量管理id
    private Integer qualitycheckId;

    //品种 sub_type
    private Integer subType;

    //入库时间 input_time;
    private Date inputTime;

    //产地 location
    private Integer location;

    //数量 number
    private String number;

    //生产年度 harvest_time
    private String harvestTime;

    //建卡日期
    private Date checkTime;

    //储存方式 keeping_way
    private Integer keepingWay;

    /**
     * 油罐类型(1：立式油罐,2：卧式油罐,3：油槽(池),4：地下油罐,5：其他)
     * @return tank_type 油罐类型(1：立式油罐,2：卧式油罐,3：油槽(池),4：地下油罐,5：其他)
     */
    private Integer tankType;
    /**
     * 油罐容量(吨)
     * @return tank_capacity 油罐容量(吨)
     */
    private BigDecimal tankCapacity;
    /**
     * 直径
     * @return diameter 直径
     */
    private BigDecimal diameter;
    /**
     * 高度
     * @return height 高度
     */
    private BigDecimal height;
    /**
     * 底面积(平方米)
     * @return bottom_area 底面积(平方米)
     */
    private BigDecimal bottomArea;
    /**
     * 设计储油高度(米)
     * @return design_height 设计储油高度(米)
     */
    private BigDecimal designHeight;
    /**
     * 出油口高度(米)
     * @return oil_height 出油口高度(米)
     */
    private BigDecimal oilHeight;
    /**
     * 检验口高度(米)
     * @return Insport_height 检验口高度(米)
     */
    private BigDecimal insportHeight;

    //等级
    private Integer level;

    //仓房编码
    private String storehouseCode;
    //货位编码
    private String warehouseCode;

    //设计仓容
    private BigDecimal designCapacity;

    //筒仓内径
    private BigDecimal siloDiameter;

    //水分
    private String water;

    //出糙率
    private String huskedRation;

    //损伤粒率
    private String damageRatio;

    //色泽气味
    private String colorsmell;

    //硬度指数
    private String hardIndex;

    //储粮性质
    private String quality;

    private String type;
    private String typeUpdate;

    public String getTypeUpdate() {
        return typeUpdate;
    }

    public void setTypeUpdate(String typeUpdate) {
        this.typeUpdate = typeUpdate;
    }

    private Integer subTypeDetailed;

    private String checkResult;

    private String checker;


    private String capacity;

    private String impurity;

    private String mineral;

    private String badpart;

    private String keeperAdvices;

    private String keeperAdvicesTime;

    private String keeperAdvicesPaint;

    private String chiefAdvices;

    private Date chiefAdvicesTime;

    private String chietAdvicesPaint;

    private String viceManagerAdvices;

    private Date viceManagerAdvicesTime;

    private String viceManagerAdvicesPaint;

    private String managerAdvices;

    private Date managerAdvicesTime;

    private String managerAdvicesPaint;

    private String improveResult;

    private Date improveTime;

    private String improvePaint;

    private String isFirstchecklevelRight;

    private String acceptUnite;

    private String keeper;

    private String goodpart;

    private String chooser;

    private String chooseOrgan;

    private Date chooseTime;

    private String boldfatIndex;

    private String checkType;

    private String hotDamage;

    private String proteinSolutionRatio;

    private String eatScore;

    private String fatIndex;

    private String fullGoodRation;

    private String yellowPart;

    private String outHuskedRation;

    private String pests;

    private String colorRatio;

    private String glutenWaterCount;

    private String remarks;

    private String approver;

    private String mildewCount;

    private String hotDamageRatio;

    private String huskedRiceWeight;

    private String reviewer;

    private Date applyCheckTime;

    private String checkTimeType;

    private Date checkResultTime;

    private String storeQuality;

    private String isPest;

    private String inspectionStandardBasis;

    private Date sealDate;

    private String sealStatus;

    private String authCode;

    private Integer historyStatus;

    private String intermixingRate;

    private String smelltaste;

    private String transparency;

    private String peroxideValue;

    private String smokePoint;

    private String reezeTest;

    private String residualSolvent;

    private String lead;

    private String totalArsenic;

    private String aflatoxin;

    private String quailtycardId;

    private String butylPhenol;

    private String storehouseName;

    private String wareHouseName;

    /**
     * OneToOne
     */
    private StorageQualitycheckInspection qualitycheckInspection;

    //保管员图片
    private String avatorUrl;

    //保管员
    private String keeperNames;

    // 市平台 轮换协议编号
    private String spareOne;

    //最后一车时间(入库时间)
    private Date zhycsj;

    public String getSpareOne() {
        return spareOne;
    }

    public void setSpareOne(String spareOne) {
        this.spareOne = spareOne;
    }

    //业务字段
    public String getStorehouseName() {
        return storehouseName;
    }

    public void setStorehouseName(String storehouseName) {
        this.storehouseName = storehouseName;
    }

    public String getWareHouseName() {
        return wareHouseName;
    }

    public void setWareHouseName(String wareHouseName) {
        this.wareHouseName = wareHouseName;
    }

    public String getStorehouseCode() {
        return storehouseCode;
    }

    public void setStorehouseCode(String storehouseCode) {
        this.storehouseCode = storehouseCode;
    }

    public String getWarehouseCode() {
        return warehouseCode;
    }

    public void setWarehouseCode(String warehouseCode) {
        this.warehouseCode = warehouseCode;
    }
    /**
     * 仓房的id
     * @return house_id 仓房的id
     */
    public Integer getHouseId() {
        return houseId;
    }

    /**
     * 仓房的id
     * @param houseId 仓房的id
     */
    public void setHouseId(Integer houseId) {
        this.houseId = houseId;
    }

    /**
     * 货位号id
     * @return warehouse_id 货位号id
     */
    public Integer getWarehouseId() {
        return warehouseId;
    }

    /**
     * 货位号id
     * @param warehouseId 货位号id
     */
    public void setWarehouseId(Integer warehouseId) {
        this.warehouseId = warehouseId;
    }

    /**
     * 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     * @return type 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     */
    public String getType() {
        return type;
    }

    /**
     * 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     * @param type 质量检查类型:0:初检 1：验收 2：春秋普查 3：出库检验 4：日常检验 5：第三方检查
     */
    public void setType(String type) {
        this.type = type == null ? null : type.trim();
    }

    /**
     * 品种
     * @return sub_type 品种
     */
    public Integer getSubType() {
        return subType;
    }

    /**
     * 品种
     * @param subType 品种
     */
    public void setSubType(Integer subType) {
        this.subType = subType;
    }

    /**
     * 详细的品种
     * @return sub_type_detailed 详细的品种
     */
    public Integer getSubTypeDetailed() {
        return subTypeDetailed;
    }

    /**
     * 详细的品种
     * @param subTypeDetailed 详细的品种
     */
    public void setSubTypeDetailed(Integer subTypeDetailed) {
        this.subTypeDetailed = subTypeDetailed;
    }

    /**
     * 检验日期
     * @return check_time 检验日期
     */
    public Date getCheckTime() {
        return checkTime;
    }

    /**
     * 检验日期
     * @param checkTime 检验日期
     */
    public void setCheckTime(Date checkTime) {
        this.checkTime = checkTime;
    }

    /**
     * 检验结果0:合格  1：不合格
     * @return check_result 检验结果0:合格  1：不合格
     */
    public String getCheckResult() {
        return checkResult;
    }

    /**
     * 检验结果0:合格  1：不合格
     * @param checkResult 检验结果0:合格  1：不合格
     */
    public void setCheckResult(String checkResult) {
        this.checkResult = checkResult == null ? null : checkResult.trim();
    }

    /**
     * 检验人
     * @return checker 检验人
     */
    public String getChecker() {
        return checker;
    }

    /**
     * 检验人
     * @param checker 检验人
     */
    public void setChecker(String checker) {
        this.checker = checker == null ? null : checker.trim();
    }

    /**
     * 等级
     * @return level 等级
     */
    public Integer getLevel() {
        return level;
    }

    /**
     * 等级
     * @param level 等级
     */
    public void setLevel(Integer level) {
        this.level = level;
    }

    /**
     * 容量
     * @return capacity 容量
     */
    public String getCapacity() {
        return capacity;
    }

    /**
     * 容量
     * @param capacity 容量
     */
    public void setCapacity(String capacity) {
        this.capacity = capacity == null ? null : capacity.trim();
    }

    /**
     * 水分
     * @return water 水分
     */
    public String getWater() {
        return water;
    }

    /**
     * 水分
     * @param water 水分
     */
    public void setWater(String water) {
        this.water = water == null ? null : water.trim();
    }

    /**
     * 杂质
     * @return impurity 杂质
     */
    public String getImpurity() {
        return impurity;
    }

    /**
     * 杂质
     * @param impurity 杂质
     */
    public void setImpurity(String impurity) {
        this.impurity = impurity == null ? null : impurity.trim();
    }

    /**
     * 矿物质
     * @return mineral 矿物质
     */
    public String getMineral() {
        return mineral;
    }

    /**
     * 矿物质
     * @param mineral 矿物质
     */
    public void setMineral(String mineral) {
        this.mineral = mineral == null ? null : mineral.trim();
    }

    /**
     * 不完善颗粒(未熟粒、破碎粒)
     * @return badpart 不完善颗粒(未熟粒、破碎粒)
     */
    public String getBadpart() {
        return badpart;
    }

    /**
     * 不完善颗粒(未熟粒、破碎粒)
     * @param badpart 不完善颗粒(未熟粒、破碎粒)
     */
    public void setBadpart(String badpart) {
        this.badpart = badpart == null ? null : badpart.trim();
    }

    /**
     * 色泽气味
     * @return colorsmell 色泽气味
     */
    public String getColorsmell() {
        return colorsmell;
    }

    /**
     * 色泽气味
     * @param colorsmell 色泽气味
     */
    public void setColorsmell(String colorsmell) {
        this.colorsmell = colorsmell == null ? null : colorsmell.trim();
    }

    /**
     * 保管员整改建议
     * @return keeper_advices 保管员整改建议
     */
    public String getKeeperAdvices() {
        return keeperAdvices;
    }

    /**
     * 保管员整改建议
     * @param keeperAdvices 保管员整改建议
     */
    public void setKeeperAdvices(String keeperAdvices) {
        this.keeperAdvices = keeperAdvices == null ? null : keeperAdvices.trim();
    }

    /**
     * 保管员整改时间
     * @return keeper_advices_time 保管员整改时间
     */
    public String getKeeperAdvicesTime() {
        return keeperAdvicesTime;
    }

    /**
     * 保管员整改时间
     * @param keeperAdvicesTime 保管员整改时间
     */
    public void setKeeperAdvicesTime(String keeperAdvicesTime) {
        this.keeperAdvicesTime = keeperAdvicesTime == null ? null : keeperAdvicesTime.trim();
    }

    /**
     * 保管员签字
     * @return keeper_advices_paint 保管员签字
     */
    public String getKeeperAdvicesPaint() {
        return keeperAdvicesPaint;
    }

    /**
     * 保管员签字
     * @param keeperAdvicesPaint 保管员签字
     */
    public void setKeeperAdvicesPaint(String keeperAdvicesPaint) {
        this.keeperAdvicesPaint = keeperAdvicesPaint == null ? null : keeperAdvicesPaint.trim();
    }

    /**
     * 仓储科长建议
     * @return chief_advices 仓储科长建议
     */
    public String getChiefAdvices() {
        return chiefAdvices;
    }

    /**
     * 仓储科长建议
     * @param chiefAdvices 仓储科长建议
     */
    public void setChiefAdvices(String chiefAdvices) {
        this.chiefAdvices = chiefAdvices == null ? null : chiefAdvices.trim();
    }

    /**
     * 仓储科长时间
     * @return chief_advices_time 仓储科长时间
     */
    public Date getChiefAdvicesTime() {
        return chiefAdvicesTime;
    }

    /**
     * 仓储科长时间
     * @param chiefAdvicesTime 仓储科长时间
     */
    public void setChiefAdvicesTime(Date chiefAdvicesTime) {
        this.chiefAdvicesTime = chiefAdvicesTime;
    }

    /**
     * 仓储科长签字
     * @return chiet_advices_paint 仓储科长签字
     */
    public String getChietAdvicesPaint() {
        return chietAdvicesPaint;
    }

    /**
     * 仓储科长签字
     * @param chietAdvicesPaint 仓储科长签字
     */
    public void setChietAdvicesPaint(String chietAdvicesPaint) {
        this.chietAdvicesPaint = chietAdvicesPaint == null ? null : chietAdvicesPaint.trim();
    }

    /**
     * 主管副主任建议
     * @return vice_manager_advices 主管副主任建议
     */
    public String getViceManagerAdvices() {
        return viceManagerAdvices;
    }

    /**
     * 主管副主任建议
     * @param viceManagerAdvices 主管副主任建议
     */
    public void setViceManagerAdvices(String viceManagerAdvices) {
        this.viceManagerAdvices = viceManagerAdvices == null ? null : viceManagerAdvices.trim();
    }

    /**
     * 主管副主任时间
     * @return vice_manager_advices_time 主管副主任时间
     */
    public Date getViceManagerAdvicesTime() {
        return viceManagerAdvicesTime;
    }

    /**
     * 主管副主任时间
     * @param viceManagerAdvicesTime 主管副主任时间
     */
    public void setViceManagerAdvicesTime(Date viceManagerAdvicesTime) {
        this.viceManagerAdvicesTime = viceManagerAdvicesTime;
    }

    /**
     * 主管副主任签字
     * @return vice_manager_advices_paint 主管副主任签字
     */
    public String getViceManagerAdvicesPaint() {
        return viceManagerAdvicesPaint;
    }

    /**
     * 主管副主任签字
     * @param viceManagerAdvicesPaint 主管副主任签字
     */
    public void setViceManagerAdvicesPaint(String viceManagerAdvicesPaint) {
        this.viceManagerAdvicesPaint = viceManagerAdvicesPaint == null ? null : viceManagerAdvicesPaint.trim();
    }

    /**
     * 主任意见建议
     * @return manager_advices 主任意见建议
     */
    public String getManagerAdvices() {
        return managerAdvices;
    }

    /**
     * 主任意见建议
     * @param managerAdvices 主任意见建议
     */
    public void setManagerAdvices(String managerAdvices) {
        this.managerAdvices = managerAdvices == null ? null : managerAdvices.trim();
    }

    /**
     * 主任时间
     * @return manager_advices_time 主任时间
     */
    public Date getManagerAdvicesTime() {
        return managerAdvicesTime;
    }

    /**
     * 主任时间
     * @param managerAdvicesTime 主任时间
     */
    public void setManagerAdvicesTime(Date managerAdvicesTime) {
        this.managerAdvicesTime = managerAdvicesTime;
    }

    /**
     * 主任签字
     * @return manager_advices_paint 主任签字
     */
    public String getManagerAdvicesPaint() {
        return managerAdvicesPaint;
    }

    /**
     * 主任签字
     * @param managerAdvicesPaint 主任签字
     */
    public void setManagerAdvicesPaint(String managerAdvicesPaint) {
        this.managerAdvicesPaint = managerAdvicesPaint == null ? null : managerAdvicesPaint.trim();
    }

    /**
     * 整改结果
     * @return improve_result 整改结果
     */
    public String getImproveResult() {
        return improveResult;
    }

    /**
     * 整改结果
     * @param improveResult 整改结果
     */
    public void setImproveResult(String improveResult) {
        this.improveResult = improveResult == null ? null : improveResult.trim();
    }

    /**
     * 整改时间
     * @return improve_time 整改时间
     */
    public Date getImproveTime() {
        return improveTime;
    }

    /**
     * 整改时间
     * @param improveTime 整改时间
     */
    public void setImproveTime(Date improveTime) {
        this.improveTime = improveTime;
    }

    /**
     * 整改签字
     * @return improve_paint 整改签字
     */
    public String getImprovePaint() {
        return improvePaint;
    }

    /**
     * 整改签字
     * @param improvePaint 整改签字
     */
    public void setImprovePaint(String improvePaint) {
        this.improvePaint = improvePaint == null ? null : improvePaint.trim();
    }

    /**
     * 是否相符 0:是  1:不是
     * @return is_firstchecklevel_right 是否相符 0:是  1:不是
     */
    public String getIsFirstchecklevelRight() {
        return isFirstchecklevelRight;
    }

    /**
     * 是否相符 0:是  1:不是
     * @param isFirstchecklevelRight 是否相符 0:是  1:不是
     */
    public void setIsFirstchecklevelRight(String isFirstchecklevelRight) {
        this.isFirstchecklevelRight = isFirstchecklevelRight == null ? null : isFirstchecklevelRight.trim();
    }

    /**
     * 检验单位
     * @return accept_unite 检验单位
     */
    public String getAcceptUnite() {
        return acceptUnite;
    }

    /**
     * 检验单位
     * @param acceptUnite 检验单位
     */
    public void setAcceptUnite(String acceptUnite) {
        this.acceptUnite = acceptUnite == null ? null : acceptUnite.trim();
    }

    /**
     * 入库时间
     * @return input_time 入库时间
     */
    public Date getInputTime() {
        return inputTime;
    }

    /**
     * 入库时间
     * @param inputTime 入库时间
     */
    public void setInputTime(Date inputTime) {
        this.inputTime = inputTime;
    }

    /**
     * 数量
     * @return number 数量
     */
    public String getNumber() {
        return number;
    }

    /**
     * 数量
     * @param number 数量
     */
    public void setNumber(String number) {
        this.number = number == null ? null : number.trim();
    }

    /**
     * 产地
     * @return location 产地
     */
    public Integer getLocation() {
        return location;
    }

    /**
     * 产地
     * @param location 产地
     */
    public void setLocation(Integer location) {
        this.location = location;
    }

    /**
     * 保管员
     * @return keeper 保管员
     */
    public String getKeeper() {
        return keeper;
    }

    /**
     * 保管员
     * @param keeper 保管员
     */
    public void setKeeper(String keeper) {
        this.keeper = keeper == null ? null : keeper.trim();
    }

    /**
     * 完整粒度
     * @return goodpart 完整粒度
     */
    public String getGoodpart() {
        return goodpart;
    }

    /**
     * 完整粒度
     * @param goodpart 完整粒度
     */
    public void setGoodpart(String goodpart) {
        this.goodpart = goodpart == null ? null : goodpart.trim();
    }

    /**
     * 扦样人
     * @return chooser 扦样人
     */
    public String getChooser() {
        return chooser;
    }

    /**
     * 扦样人
     * @param chooser 扦样人
     */
    public void setChooser(String chooser) {
        this.chooser = chooser == null ? null : chooser.trim();
    }

    /**
     * 扦样机构
     * @return choose_organ 扦样机构
     */
    public String getChooseOrgan() {
        return chooseOrgan;
    }

    /**
     * 扦样机构
     * @param chooseOrgan 扦样机构
     */
    public void setChooseOrgan(String chooseOrgan) {
        this.chooseOrgan = chooseOrgan == null ? null : chooseOrgan.trim();
    }

    /**
     * 扦样日期
     * @return choose_time 扦样日期
     */
    public Date getChooseTime() {
        return chooseTime;
    }

    /**
     * 扦样日期
     * @param chooseTime 扦样日期
     */
    public void setChooseTime(Date chooseTime) {
        this.chooseTime = chooseTime;
    }

    /**
     * 粗脂肪酸数值
     * @return boldfat_index 粗脂肪酸数值
     */
    public String getBoldfatIndex() {
        return boldfatIndex;
    }

    /**
     * 粗脂肪酸数值
     * @param boldfatIndex 粗脂肪酸数值
     */
    public void setBoldfatIndex(String boldfatIndex) {
        this.boldfatIndex = boldfatIndex == null ? null : boldfatIndex.trim();
    }

    /**
     * 检验类型
     * @return check_type 检验类型
     */
    public String getCheckType() {
        return checkType;
    }

    /**
     * 检验类型
     * @param checkType 检验类型
     */
    public void setCheckType(String checkType) {
        this.checkType = checkType == null ? null : checkType.trim();
    }

    /**
     * 热损伤
     * @return hot_damage 热损伤
     */
    public String getHotDamage() {
        return hotDamage;
    }

    /**
     * 热损伤
     * @param hotDamage 热损伤
     */
    public void setHotDamage(String hotDamage) {
        this.hotDamage = hotDamage == null ? null : hotDamage.trim();
    }

    /**
     * 蛋白质溶解比率
     * @return protein_solution_ratio 蛋白质溶解比率
     */
    public String getProteinSolutionRatio() {
        return proteinSolutionRatio;
    }

    /**
     * 蛋白质溶解比率
     * @param proteinSolutionRatio 蛋白质溶解比率
     */
    public void setProteinSolutionRatio(String proteinSolutionRatio) {
        this.proteinSolutionRatio = proteinSolutionRatio == null ? null : proteinSolutionRatio.trim();
    }

    /**
     * 品尝评分值:
     * @return eat_score 品尝评分值:
     */
    public String getEatScore() {
        return eatScore;
    }

    /**
     * 品尝评分值:
     * @param eatScore 品尝评分值:
     */
    public void setEatScore(String eatScore) {
        this.eatScore = eatScore == null ? null : eatScore.trim();
    }

    /**
     * 脂肪酸值:
     * @return fat_index 脂肪酸值:
     */
    public String getFatIndex() {
        return fatIndex;
    }

    /**
     * 脂肪酸值:
     * @param fatIndex 脂肪酸值:
     */
    public void setFatIndex(String fatIndex) {
        this.fatIndex = fatIndex == null ? null : fatIndex.trim();
    }

    /**
     * 出糙率:
     * @return husked_ration 出糙率:
     */
    public String getHuskedRation() {
        return huskedRation;
    }

    /**
     * 出糙率:
     * @param huskedRation 出糙率:
     */
    public void setHuskedRation(String huskedRation) {
        this.huskedRation = huskedRation == null ? null : huskedRation.trim();
    }

    /**
     * 整精米率:
     * @return full_good_ration 整精米率:
     */
    public String getFullGoodRation() {
        return fullGoodRation;
    }

    /**
     * 整精米率:
     * @param fullGoodRation 整精米率:
     */
    public void setFullGoodRation(String fullGoodRation) {
        this.fullGoodRation = fullGoodRation == null ? null : fullGoodRation.trim();
    }

    /**
     * 黄粒米:
     * @return yellow_part 黄粒米:
     */
    public String getYellowPart() {
        return yellowPart;
    }

    /**
     * 黄粒米:
     * @param yellowPart 黄粒米:
     */
    public void setYellowPart(String yellowPart) {
        this.yellowPart = yellowPart == null ? null : yellowPart.trim();
    }

    /**
     * 谷外糙米
     * @return out_husked_ration 谷外糙米
     */
    public String getOutHuskedRation() {
        return outHuskedRation;
    }

    /**
     * 谷外糙米
     * @param outHuskedRation 谷外糙米
     */
    public void setOutHuskedRation(String outHuskedRation) {
        this.outHuskedRation = outHuskedRation == null ? null : outHuskedRation.trim();
    }

    /**
     * 虫害
     * @return pests 虫害
     */
    public String getPests() {
        return pests;
    }

    /**
     * 虫害
     * @param pests 虫害
     */
    public void setPests(String pests) {
        this.pests = pests == null ? null : pests.trim();
    }

    /**
     * 色率
     * @return color_ratio 色率
     */
    public String getColorRatio() {
        return colorRatio;
    }

    /**
     * 色率
     * @param colorRatio 色率
     */
    public void setColorRatio(String colorRatio) {
        this.colorRatio = colorRatio == null ? null : colorRatio.trim();
    }

    /**
     * 硬度指数
     * @return hard_index 硬度指数
     */
    public String getHardIndex() {
        return hardIndex;
    }

    /**
     * 硬度指数
     * @param hardIndex 硬度指数
     */
    public void setHardIndex(String hardIndex) {
        this.hardIndex = hardIndex == null ? null : hardIndex.trim();
    }

    /**
     * 面筋吸水量
     * @return gluten_water_count 面筋吸水量
     */
    public String getGlutenWaterCount() {
        return glutenWaterCount;
    }

    /**
     * 面筋吸水量
     * @param glutenWaterCount 面筋吸水量
     */
    public void setGlutenWaterCount(String glutenWaterCount) {
        this.glutenWaterCount = glutenWaterCount == null ? null : glutenWaterCount.trim();
    }

    /**
     * 备注
     * @return remarks 备注
     */
    public String getRemarks() {
        return remarks;
    }

    /**
     * 备注
     * @param remarks 备注
     */
    public void setRemarks(String remarks) {
        this.remarks = remarks == null ? null : remarks.trim();
    }

    /**
     * 批准人
     * @return approver 批准人
     */
    public String getApprover() {
        return approver;
    }

    /**
     * 批准人
     * @param approver 批准人
     */
    public void setApprover(String approver) {
        this.approver = approver == null ? null : approver.trim();
    }

    /**
     * 生霉粒
     * @return mildew_count 生霉粒
     */
    public String getMildewCount() {
        return mildewCount;
    }

    /**
     * 生霉粒
     * @param mildewCount 生霉粒
     */
    public void setMildewCount(String mildewCount) {
        this.mildewCount = mildewCount == null ? null : mildewCount.trim();
    }

    /**
     * 损伤粒率
     * @return damage_ratio 损伤粒率
     */
    public String getDamageRatio() {
        return damageRatio;
    }

    /**
     * 损伤粒率
     * @param damageRatio 损伤粒率
     */
    public void setDamageRatio(String damageRatio) {
        this.damageRatio = damageRatio == null ? null : damageRatio.trim();
    }

    /**
     * 热损伤粒率
     * @return hot_damage_ratio 热损伤粒率
     */
    public String getHotDamageRatio() {
        return hotDamageRatio;
    }

    /**
     * 热损伤粒率
     * @param hotDamageRatio 热损伤粒率
     */
    public void setHotDamageRatio(String hotDamageRatio) {
        this.hotDamageRatio = hotDamageRatio == null ? null : hotDamageRatio.trim();
    }

    /**
     * 糙米重
     * @return husked_rice_weight 糙米重
     */
    public String getHuskedRiceWeight() {
        return huskedRiceWeight;
    }

    /**
     * 糙米重
     * @param huskedRiceWeight 糙米重
     */
    public void setHuskedRiceWeight(String huskedRiceWeight) {
        this.huskedRiceWeight = huskedRiceWeight == null ? null : huskedRiceWeight.trim();
    }

    /**
     * 审核人
     * @return reviewer 审核人
     */
    public String getReviewer() {
        return reviewer;
    }

    /**
     * 审核人
     * @param reviewer 审核人
     */
    public void setReviewer(String reviewer) {
        this.reviewer = reviewer == null ? null : reviewer.trim();
    }

    /**
     * 申请验收日期
     * @return apply_check_time 申请验收日期
     */
    public Date getApplyCheckTime() {
        return applyCheckTime;
    }

    /**
     * 申请验收日期
     * @param applyCheckTime 申请验收日期
     */
    public void setApplyCheckTime(Date applyCheckTime) {
        this.applyCheckTime = applyCheckTime;
    }

    /**
     * 春秋普查类型:0:春 1：秋
     * @return check_time_type 春秋普查类型:0:春 1：秋
     */
    public String getCheckTimeType() {
        return checkTimeType;
    }

    /**
     * 春秋普查类型:0:春 1：秋
     * @param checkTimeType 春秋普查类型:0:春 1：秋
     */
    public void setCheckTimeType(String checkTimeType) {
        this.checkTimeType = checkTimeType == null ? null : checkTimeType.trim();
    }

    /**
     * 检验报告出具日期
     * @return check_result_time 检验报告出具日期
     */
    public Date getCheckResultTime() {
        return checkResultTime;
    }

    /**
     * 检验报告出具日期
     * @param checkResultTime 检验报告出具日期
     */
    public void setCheckResultTime(Date checkResultTime) {
        this.checkResultTime = checkResultTime;
    }

    /**
     * 储存品质 0：宜存 1：不宜存
     * @return store_quality 储存品质 0：宜存 1：不宜存
     */
    public String getStoreQuality() {
        return storeQuality;
    }

    /**
     * 储存品质 0：宜存 1：不宜存
     * @param storeQuality 储存品质 0：宜存 1：不宜存
     */
    public void setStoreQuality(String storeQuality) {
        this.storeQuality = storeQuality == null ? null : storeQuality.trim();
    }

    /**
     * 是否虫粮0:是 1:否
     * @return is_pest 是否虫粮0:是 1:否
     */
    public String getIsPest() {
        return isPest;
    }

    /**
     * 是否虫粮0:是 1:否
     * @param isPest 是否虫粮0:是 1:否
     */
    public void setIsPest(String isPest) {
        this.isPest = isPest == null ? null : isPest.trim();
    }

    /**
     * 检验标准依据
     * @return inspection_standard_basis 检验标准依据
     */
    public String getInspectionStandardBasis() {
        return inspectionStandardBasis;
    }

    /**
     * 检验标准依据
     * @param inspectionStandardBasis 检验标准依据
     */
    public void setInspectionStandardBasis(String inspectionStandardBasis) {
        this.inspectionStandardBasis = inspectionStandardBasis == null ? null : inspectionStandardBasis.trim();
    }

    /**
     * 储粮性质
     * @return quality 储粮性质
     */
    public String getQuality() {
        return quality;
    }

    /**
     * 储粮性质
     * @param quality 储粮性质
     */
    public void setQuality(String quality) {
        this.quality = quality == null ? null : quality.trim();
    }

    /**
     * 封仓日期
     * @return seal_date 封仓日期
     */
    public Date getSealDate() {
        return sealDate;
    }

    /**
     * 封仓日期
     * @param sealDate 封仓日期
     */
    public void setSealDate(Date sealDate) {
        this.sealDate = sealDate;
    }

    /**
     * 封仓状态：0:未封仓,1:已封仓
     * @return seal_status 封仓状态：0:未封仓,1:已封仓
     */
    public String getSealStatus() {
        return sealStatus;
    }

    /**
     * 封仓状态：0:未封仓,1:已封仓
     * @param sealStatus 封仓状态：0:未封仓,1:已封仓
     */
    public void setSealStatus(String sealStatus) {
        this.sealStatus = sealStatus == null ? null : sealStatus.trim();
    }

    /**
     * 库存识别码
     * @return auth_code 库存识别码
     */
    public String getAuthCode() {
        return authCode;
    }

    /**
     * 库存识别码
     * @param authCode 库存识别码
     */
    public void setAuthCode(String authCode) {
        this.authCode = authCode == null ? null : authCode.trim();
    }

    /**
     * 组织结构id
     * @return org_id 组织结构id
     */
    public Integer getOrgId() {
        return orgId;
    }

    /**
     * 组织结构id
     * @param orgId 组织结构id
     */
    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    /**
     * 0:最新数据   1:历史数据
     * @return history_status 0:最新数据   1:历史数据
     */
    public Integer getHistoryStatus() {
        return historyStatus;
    }

    /**
     * 0:最新数据   1:历史数据
     * @param historyStatus 0:最新数据   1:历史数据
     */
    public void setHistoryStatus(Integer historyStatus) {
        this.historyStatus = historyStatus;
    }

    /**
     * 互混率(%)
     * @return intermixing_rate 互混率(%)
     */
    public String getIntermixingRate() {
        return intermixingRate;
    }

    /**
     * 互混率(%)
     * @param intermixingRate 互混率(%)
     */
    public void setIntermixingRate(String intermixingRate) {
        this.intermixingRate = intermixingRate == null ? null : intermixingRate.trim();
    }

    /**
     * 气味、滋味
     * @return smelltaste 气味、滋味
     */
    public String getSmelltaste() {
        return smelltaste;
    }

    /**
     * 气味、滋味
     * @param smelltaste 气味、滋味
     */
    public void setSmelltaste(String smelltaste) {
        this.smelltaste = smelltaste == null ? null : smelltaste.trim();
    }

    /**
     * 透明度
     * @return transparency 透明度
     */
    public String getTransparency() {
        return transparency;
    }

    /**
     * 透明度
     * @param transparency 透明度
     */
    public void setTransparency(String transparency) {
        this.transparency = transparency == null ? null : transparency.trim();
    }

    /**
     * 过氧化值(mmol/kg)
     * @return peroxide_value 过氧化值(mmol/kg)
     */
    public String getPeroxideValue() {
        return peroxideValue;
    }

    /**
     * 过氧化值(mmol/kg)
     * @param peroxideValue 过氧化值(mmol/kg)
     */
    public void setPeroxideValue(String peroxideValue) {
        this.peroxideValue = peroxideValue == null ? null : peroxideValue.trim();
    }

    /**
     * 烟点℃
     * @return smoke_point 烟点℃
     */
    public String getSmokePoint() {
        return smokePoint;
    }

    /**
     * 烟点℃
     * @param smokePoint 烟点℃
     */
    public void setSmokePoint(String smokePoint) {
        this.smokePoint = smokePoint == null ? null : smokePoint.trim();
    }

    /**
     * 冷冻实验(0℃储藏5.5h)
     * @return reeze_test 冷冻实验(0℃储藏5.5h)
     */
    public String getReezeTest() {
        return reezeTest;
    }

    /**
     * 冷冻实验(0℃储藏5.5h)
     * @param reezeTest 冷冻实验(0℃储藏5.5h)
     */
    public void setReezeTest(String reezeTest) {
        this.reezeTest = reezeTest == null ? null : reezeTest.trim();
    }

    /**
     * 溶剂残留量(mg/kg)
     * @return residual_solvent 溶剂残留量(mg/kg)
     */
    public String getResidualSolvent() {
        return residualSolvent;
    }

    /**
     * 溶剂残留量(mg/kg)
     * @param residualSolvent 溶剂残留量(mg/kg)
     */
    public void setResidualSolvent(String residualSolvent) {
        this.residualSolvent = residualSolvent == null ? null : residualSolvent.trim();
    }

    /**
     * 铅(Pb)
     * @return lead 铅(Pb)
     */
    public String getLead() {
        return lead;
    }

    /**
     * 铅(Pb)
     * @param lead 铅(Pb)
     */
    public void setLead(String lead) {
        this.lead = lead == null ? null : lead.trim();
    }

    /**
     * 总砷(以As计)(mg/kg)
     * @return total_arsenic 总砷(以As计)(mg/kg)
     */
    public String getTotalArsenic() {
        return totalArsenic;
    }

    /**
     * 总砷(以As计)(mg/kg)
     * @param totalArsenic 总砷(以As计)(mg/kg)
     */
    public void setTotalArsenic(String totalArsenic) {
        this.totalArsenic = totalArsenic == null ? null : totalArsenic.trim();
    }

    /**
     * 黄曲霉毒素(ug/kg)
     * @return aflatoxin 黄曲霉毒素(ug/kg)
     */
    public String getAflatoxin() {
        return aflatoxin;
    }

    /**
     * 黄曲霉毒素(ug/kg)
     * @param aflatoxin 黄曲霉毒素(ug/kg)
     */
    public void setAflatoxin(String aflatoxin) {
        this.aflatoxin = aflatoxin == null ? null : aflatoxin.trim();
    }

    /**
     * 粮情卡id
     * @return quailtycard_id 粮情卡id
     */
    public String getQuailtycardId() {
        return quailtycardId;
    }

    /**
     * 粮情卡id
     * @param quailtycardId 粮情卡id
     */
    public void setQuailtycardId(String quailtycardId) {
        this.quailtycardId = quailtycardId == null ? null : quailtycardId.trim();
    }

    /**
     * 特丁基对二苯酚(g/kg)
     * @return butyl_phenol 特丁基对二苯酚(g/kg)
     */
    public String getButylPhenol() {
        return butylPhenol;
    }

    /**
     * 特丁基对二苯酚(g/kg)
     * @param butylPhenol 特丁基对二苯酚(g/kg)
     */
    public void setButylPhenol(String butylPhenol) {
        this.butylPhenol = butylPhenol == null ? null : butylPhenol.trim();
    }

    public String getWarehouseName() {
        return warehouseName;
    }

    public void setWarehouseName(String warehouseName) {
        this.warehouseName = warehouseName;
    }

    public Integer getStorehouseType() {
        return storehouseType;
    }

    public void setStorehouseType(Integer storehouseType) {
        this.storehouseType = storehouseType;
    }

    public Date getUseDate() {
        return useDate;
    }

    public void setUseDate(Date useDate) {
        this.useDate = useDate;
    }

    public String getHouse() {
        return house;
    }

    public void setHouse(String house) {
        this.house = house;
    }

    public BigDecimal getStoreOutsideHeigth() {
        return storeOutsideHeigth;
    }

    public void setStoreOutsideHeigth(BigDecimal storeOutsideHeigth) {
        this.storeOutsideHeigth = storeOutsideHeigth;
    }

    public BigDecimal getLength() {
        return length;
    }

    public void setLength(BigDecimal length) {
        this.length = length;
    }

    public BigDecimal getWidth() {
        return width;
    }

    public void setWidth(BigDecimal width) {
        this.width = width;
    }

    public BigDecimal getGrainLineHeigth() {
        return grainLineHeigth;
    }

    public void setGrainLineHeigth(BigDecimal grainLineHeigth) {
        this.grainLineHeigth = grainLineHeigth;
    }

    public BigDecimal getBinVolume() {
        return binVolume;
    }

    public void setBinVolume(BigDecimal binVolume) {
        this.binVolume = binVolume;
    }

    public Integer getQualitycheckId() {
        return qualitycheckId;
    }

    public void setQualitycheckId(Integer qualitycheckId) {
        this.qualitycheckId = qualitycheckId;
    }

    public String getHarvestTime() {
        return harvestTime;
    }

    public void setHarvestTime(String harvestTime) {
        this.harvestTime = harvestTime;
    }

    public Integer getKeepingWay() {
        return keepingWay;
    }

    public void setKeepingWay(Integer keepingWay) {
        this.keepingWay = keepingWay;
    }

    public BigDecimal getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(BigDecimal designCapacity) {
        this.designCapacity = designCapacity;
    }

    public StorageQualitycheckInspection getQualitycheckInspection() {
        return qualitycheckInspection;
    }

    public void setQualitycheckInspection(StorageQualitycheckInspection qualitycheckInspection) {
        this.qualitycheckInspection = qualitycheckInspection;
    }

    public String getAvatorUrl() {
        return avatorUrl;
    }

    public void setAvatorUrl(String avatorUrl) {
        this.avatorUrl = avatorUrl;
    }

    public String getKeeperNames() {
        return keeperNames;
    }

    public void setKeeperNames(String keeperNames) {
        this.keeperNames = keeperNames;
    }

    public Integer getTankType() {
        return tankType;
    }

    public void setTankType(Integer tankType) {
        this.tankType = tankType;
    }

    public BigDecimal getTankCapacity() {
        return tankCapacity;
    }

    public void setTankCapacity(BigDecimal tankCapacity) {
        this.tankCapacity = tankCapacity;
    }

    public BigDecimal getDiameter() {
        return diameter;
    }

    public void setDiameter(BigDecimal diameter) {
        this.diameter = diameter;
    }

    public BigDecimal getHeight() {
        return height;
    }

    public void setHeight(BigDecimal height) {
        this.height = height;
    }

    public BigDecimal getBottomArea() {
        return bottomArea;
    }

    public void setBottomArea(BigDecimal bottomArea) {
        this.bottomArea = bottomArea;
    }

    public BigDecimal getDesignHeight() {
        return designHeight;
    }

    public void setDesignHeight(BigDecimal designHeight) {
        this.designHeight = designHeight;
    }

    public BigDecimal getOilHeight() {
        return oilHeight;
    }

    public void setOilHeight(BigDecimal oilHeight) {
        this.oilHeight = oilHeight;
    }

    public BigDecimal getInsportHeight() {
        return insportHeight;
    }

    public void setInsportHeight(BigDecimal insportHeight) {
        this.insportHeight = insportHeight;
    }

	public Date getZhycsj() {
		return zhycsj;
	}

	public void setZhycsj(Date zhycsj) {
		this.zhycsj = zhycsj;
	}

	public BigDecimal getSiloDiameter() {
		return siloDiameter;
	}

	public void setSiloDiameter(BigDecimal siloDiameter) {
		this.siloDiameter = siloDiameter;
	}
}