package com.chinaitop.depot.grainSituationCard.model;

import java.util.Date;

/**
 * 库存超限告警 model
 * @author aihua
 * @date 2022-04-15 20:30
 */
public class StorageOverRunAlarm {
    /**
     * 主键ID
     */
    private String id;
    /**
     * 仓房关联主键ID（basic_storehouse）
     */
    private Integer storeHouseId;
    /**
     * 粮油性质
     */
    private String grainOilQuality;
    /**
     * 粮油名称
     */
    private String grainOilName;
    /**
     * 等级
     */
    private String level;
    /**
     * 设计容量（公斤）
     */
    private String designCapacity;
    /**
     * 库存数量（公斤）
     */
    private String inventoryQuantity;
    /**
     * 告警时间
     */
    private String alarmTime;
    /**
     * 组织机构ID
     */
    private Integer orgId;
    /**
     * 创建时间
     */
    private String createTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getStoreHouseId() {
        return storeHouseId;
    }

    public void setStoreHouseId(Integer storeHouseId) {
        this.storeHouseId = storeHouseId;
    }

    public String getGrainOilQuality() {
        return grainOilQuality;
    }

    public void setGrainOilQuality(String grainOilQuality) {
        this.grainOilQuality = grainOilQuality;
    }

    public String getGrainOilName() {
        return grainOilName;
    }

    public void setGrainOilName(String grainOilName) {
        this.grainOilName = grainOilName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(String designCapacity) {
        this.designCapacity = designCapacity;
    }

    public String getInventoryQuantity() {
        return inventoryQuantity;
    }

    public void setInventoryQuantity(String inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    public String getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(String alarmTime) {
        this.alarmTime = alarmTime;
    }

    public Integer getOrgId() {
        return orgId;
    }

    public void setOrgId(Integer orgId) {
        this.orgId = orgId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
