package com.chinaitop.depot.grainSituationCard.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * 库存超限告警 model
 * @author aihua
 * @date 2022-04-15 20:30
 */
public class StorageOverRunAlarmView {
    /**
     * 主键ID
     */
    private String id;
    /**
     * 仓房名称
     */
    private String storeHouseName;
    /**
     * 粮油性质
     */
    private String grainOilQuality;
    /**
     * 粮油名称
     */
    private  String grainOilName;
    /**
     * 等级
     */
    private String level;
    /**
     * 设计容量（公斤）
     */
    private String designCapacity;
    /**
     * 库存数量（公斤）
     */
    private String inventoryQuantity;
    /**
     * 告警时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date alarmTime;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getStoreHouseName() {
        return storeHouseName;
    }

    public void setStoreHouseName(String storeHouseName) {
        this.storeHouseName = storeHouseName;
    }

    public String getGrainOilQuality() {
        return grainOilQuality;
    }

    public void setGrainOilQuality(String grainOilQuality) {
        this.grainOilQuality = grainOilQuality;
    }

    public String getGrainOilName() {
        return grainOilName;
    }

    public void setGrainOilName(String grainOilName) {
        this.grainOilName = grainOilName;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getDesignCapacity() {
        return designCapacity;
    }

    public void setDesignCapacity(String designCapacity) {
        this.designCapacity = designCapacity;
    }

    public String getInventoryQuantity() {
        return inventoryQuantity;
    }

    public void setInventoryQuantity(String inventoryQuantity) {
        this.inventoryQuantity = inventoryQuantity;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }
}
